[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.ResetColWidths

Restores column widths to their default values.

## Declaration

Source position: dbgrids.pas line 545

`public procedure TCustomDBGrid.ResetColWidths;`

## Description

ResetColWidths is a procedure used to restore column widths in the grid to their default values. ResetColWidths uses the value in DefaultColWidths to determine if default column widths are already in use. When DefaultColWidths contains True, no actions are performed in the method.

ResetColWidths calls the RenewColWidths method to restore the column widths. The LayoutChanged method is called to refresh the grid control after the column layouts are altered.